{ python3Packages, fetchPypi, ... }:
python3Packages.buildPythonPackage rec {
  pname = "homeassistant_api";
  version = "5.0.0";
  format = "pyproject";
  src = fetchPypi {
    inherit pname version;
    sha256 = "sha256-UNKTtgInrVJtjHb1WVlUbcbhjBOtTX00eHmm54ww0rY=";
  };

  # do not run tests
  doCheck = false;
  nativeBuildInputs = with python3Packages; [
    poetry-core
    requests-cache
  ];
  dependencies = with python3Packages; [
    requests-cache
    pydantic
    websockets
  ];
  propagatedBuildInputs = with python3Packages; [
    aiohttp
    aiohttp-client-cache
    pydantic
    requests
    requests-cache
    simplejson
    websockets
  ];
  pythonRelaxDeps = [
    "requests-cache"
    "pydantic"
    "websockets"
  ];
  pythonImportsCheck = [
    "homeassistant_api"
  ];
}
